Subject: Re: Clone from shallow bundle bug

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Apr 2015 10:20:40 -0700

Duy Nguyen <[email-masked]> writes:

> Alternatively, we can record SHA-1 in the shallow file as refs whose
> name is always ".shallow". This way "unbundle" can recreate the
> shallow file if it wants.

Wouldn't the extracting end care about such a name ".shallow" being
duplicates (if you have multiple boundaries) or not check-ref-format
kosher?

I was hoping we will have a solution for a new bundle command to
create a bundle out of a shallow repository that is somehow usable
by existing 'git bundle' implementations.  You may take a bundle out
of a shallow repository to preserve your work on top since you made
the shallow clone originally, and then send it to your friend with
existing 'git bundle' implementation to extract it into his full
clone to sneaker-net.

And that is why I did not suggest such an alternative.